#include "unicode.h"

#include <locale>

namespace kek::Unicode {

static std::wstring_convert<std::codecvt_utf8<char32_t>, char32_t> utf32cvt;

std::u32string convertStdToU32(std::string string) {
	return utf32cvt.from_bytes(string);
}

std::string convertU32ToStd(std::u32string string) {
	return utf32cvt.to_bytes(string);
}

}
